#ifndef __HTMLCLASS
#define __HTMLCLASS

#define LWA_ALPHA 2
#define WS_EX_LAYERED 0x80000

typedef WINUSERAPI BOOL (WINAPI *SETLAYERED)(HWND,COLORREF,BYTE,DWORD);

class CHtml
{
private:
	HWND hwnd;
	static LRESULT CALLBACK StaticWindowProc(HWND hwnd,UINT msg,WPARAM wp,LPARAM lp);
	LRESULT CALLBACK WindowProc(HWND hwnd,UINT msg,WPARAM wp,LPARAM lp);
	bool canBeLayered;
	char *tmp;

	static SETLAYERED _SetLayeredWindowAttributes;

public:
	CHtml(HWND parent);
	~CHtml();
	void ViewHTML(char *title, char *content);
	HWND GetHandle();
};

#endif __HTMLCLASS

